
package de.ivu.elect.presentation.gruppe.table;

import de.ivu.elect.business.gruppe.entity.KopfzahlKumulierteStimmen;
import de.ivu.elect.business.gruppe.entity.SystemGruppeEigenschaften;
import de.ivu.elect.business.stimmeingabe.entity.StimmeingabeKopfzahlConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class KopfzahlKumulierteStimmenBezeichnungColumn extends AbstractKopfzahlKumulierteStimmenColumn {

  private static final long serialVersionUID = 1L;

  public KopfzahlKumulierteStimmenBezeichnungColumn(Messages messages, SystemGruppeEigenschaften systemGruppeEigenschaften) {
    super(messages, systemGruppeEigenschaften);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }

  @Override
  public String getHeader() {
    return getMessage(StimmeingabeKopfzahlConstants.MESSAGE_KEY_BEZEICHNUNG_EINZAHL);
  }

  @Override
  public Object getValue(KopfzahlKumulierteStimmen kopfzahlKumulierteStimmen) {
    return kopfzahlKumulierteStimmen.getBezeichnung();
  }
}
